/******************************************************************************/
/******************************************************************************/
/*                                                                            */
/* Trigger: DTULTATU_CONFTELA                                                 */
/* Tabela : CONFTELA                                                          */
/*                                                                            */
/* Criação:                                                                   */
/* 14/12/2004 - Renata Diniz Viana                                            */
/*                                                                            */
/******************************************************************************/


CREATE OR REPLACE TRIGGER DTULTATU_CONFTELA
BEFORE INSERT OR UPDATE OR DELETE
ON CONFTELA FOR EACH ROW
BEGIN
   IF INSERTING THEN
      :NEW.DTULTATUCFTE := SYSDATE;
   END IF;
   IF UPDATING THEN
      :NEW.DTULTATUCFTE := SYSDATE;
   END IF;
   IF DELETING THEN
      INSERT INTO DELETECACHE (NMTABLECACHE, CDFILICACHE, DSKEYCACHE, DTULTATUCACH)
                       VALUES ('CONFTELA',:OLD.CDFILIAL, 'CDFILIAL='||:OLD.CDFILIAL||';NRCONFTELA='||:OLD.NRCONFTELA||';', SYSDATE);
   END IF;
END;
/

ALTER TABLE CONFTELA MODIFY DTULTATUCFTE DEFAULT SYSDATE
/

UPDATE CONFTELA SET DTULTATUCFTE = SYSDATE WHERE DTULTATUCFTE IS NULL
/

-- VERSAO --
BEGIN ATUVEROBJ('DTULTATU_CONFTELA','4.09.050'); END;
/

