/******************************************************************************/
/******************************************************************************/
/*                                                                            */
/* Trigger: DTULTATU_TRAJETO                                                  */
/* Tabela : TRAJETO                                                           */
/*                                                                            */
/* Criao:                                                                   */
/* 29/08/2006 - Adalberto Teodoro Oliveira                                    */
/*                                                                            */
/******************************************************************************/

CREATE OR REPLACE TRIGGER DTULTATU_TRAJETO
BEFORE INSERT OR UPDATE OR DELETE
ON TRAJETO FOR EACH ROW

BEGIN
   IF INSERTING THEN
      :NEW.DTULTATUTRAJ := SYSDATE;
   END IF;
   IF UPDATING THEN
      IF (NVL(:OLD.CDTRAJETO,0   )     <> NVL(:NEW.CDTRAJETO,0  ))   OR
         (NVL(:OLD.NMTRAJETO,0   )     <> NVL(:NEW.NMTRAJETO,0  ))   OR
         (NVL(:OLD.CDFILIALORI,0 )     <> NVL(:NEW.CDFILIALORI,0))   OR
         (NVL(:OLD.CDFILIALDES,0 )     <> NVL(:NEW.CDFILIALDES,0))   OR
         (NVL(:OLD.VRKMTRAJETO,0 )     <> NVL(:NEW.VRKMTRAJETO,0))   OR
         (NVL(:OLD.QTTEMPOTRAJE,0)     <> NVL(:NEW.QTTEMPOTRAJE,0))  THEN
         :NEW.DTULTATUTRAJ := SYSDATE;
      END IF;
   END IF;
   IF DELETING THEN
      INSERT INTO DELETECACHE (NMTABLECACHE, CDFILICACHE, DSKEYCACHE, DTULTATUCACH)
                       VALUES ('TRAJETO', '', 'CDTRAJETO='||:OLD.CDTRAJETO||';', SYSDATE);
   END IF;
END;
/

ALTER TABLE TRAJETO MODIFY DTULTATUTRAJ DEFAULT SYSDATE
/
